org.apache.tinkerpop.gremlin.spark.groovy.plugin

## Class SparkGremlinPlugin

- java.lang.Object
- - org.apache.tinkerpop.gremlin.groovy.plugin.AbstractGremlinPlugin
  - - org.apache.tinkerpop.gremlin.spark.groovy.plugin.SparkGremlinPlugin

- All Implemented Interfaces:
    GremlinPlugin

  Deprecated.
  As of release 3.2.4, replaced by `SparkGremlinPlugin`.

      @Deprecated
      public final class SparkGremlinPlugin
      extends AbstractGremlinPlugin

  Author:
    Marko A. Rodriguez (http://markorodriguez.com)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static Set<String>` | `IMPORTS` Deprecated.
    `protected static String` | `NAME` Deprecated.

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.groovy.plugin.AbstractGremlinPlugin

      `DOT_STAR, ENV_CONSOLE_IO, ENV_CONSOLE_SHELL, IMPORT_SPACE, IMPORT_STATIC_SPACE, io, requireConsoleEnvironment, shell`

    - ### Fields inherited from interface org.apache.tinkerpop.gremlin.groovy.plugin.GremlinPlugin

      `ENVIRONMENT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SparkGremlinPlugin()` Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `afterPluginTo(PluginAcceptor pluginAcceptor)` Deprecated. Called after the `AbstractGremlinPlugin.pluginTo(PluginAcceptor)` method is executed which sets the `AbstractGremlinPlugin.io` and `AbstractGremlinPlugin.shell` member variables.
    `String` | `getName()` Deprecated. The name of the plugin.
    `Optional<RemoteAcceptor>` | `remoteAcceptor()` Deprecated. Allows a plugin to utilize features of the `:remote` and `:submit` commands of the Gremlin Console.
    `boolean` | `requireRestart()` Deprecated. Some plugins may require a restart of the plugin host for the classloader to pick up the features.

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.groovy.plugin.AbstractGremlinPlugin

      `pluginTo`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NAME

          protected static String NAME

      Deprecated.

    - #### IMPORTS

          protected static final Set<String> IMPORTS

      Deprecated.

  - ### Constructor Detail

    - #### SparkGremlinPlugin

          public SparkGremlinPlugin()

      Deprecated.

  - ### Method Detail

    - #### getName

          public String getName()

      Deprecated.
      Description copied from interface: `GremlinPlugin`
      The name of the plugin. This name should be unique (use a namespaced approach) as naming clashes will prevent proper plugin operations. Plugins developed by TinkerPop will be prefixed with "tinkerpop." For example, TinkerPop's implementation of Giraph would be named "tinkerpop.giraph". If Facebook were to do their own implementation the implementation might be called "facebook.giraph".

    - #### afterPluginTo

          public void afterPluginTo(PluginAcceptor pluginAcceptor)
                             throws PluginInitializationException,
                                    IllegalEnvironmentException

      Deprecated.
      Description copied from class: `AbstractGremlinPlugin`
      Called after the `AbstractGremlinPlugin.pluginTo(PluginAcceptor)` method is executed which sets the `AbstractGremlinPlugin.io` and `AbstractGremlinPlugin.shell` member variables.
      Specified by:
        `afterPluginTo` in class `AbstractGremlinPlugin`
      Throws:
        `PluginInitializationException`
        `IllegalEnvironmentException`

    - #### requireRestart

          public boolean requireRestart()

      Deprecated.
      Description copied from interface: `GremlinPlugin`
      Some plugins may require a restart of the plugin host for the classloader to pick up the features. This is typically true of plugins that rely on `Class.forName()` to dynamically instantiate classes from the root classloader (e.g. JDBC drivers that instantiate via @{code DriverManager}).

    - #### remoteAcceptor

          public Optional<RemoteAcceptor> remoteAcceptor()

      Deprecated.
      Description copied from interface: `GremlinPlugin`
      Allows a plugin to utilize features of the `:remote` and `:submit` commands of the Gremlin Console. This method does not need to be implemented if the plugin is not meant for the Console for some reason or if it does not intend to take advantage of those commands.

Copyright © 2013–2018 Apache Software Foundation. All rights reserved.